# 32/64bit spec-file
#
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1
%define Werror_cflags -Wformat

%define name cinelerra
%define ver	4
%define svnrel	1061
%define version %{ver}
%define rel	9
%define release %mkrel %rel -c svn%{svnrel} 

Summary: 	Non-Linear Video Editing Suite
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-2.1.5.tar.xz
URL: 		http://cvs.cinelerra.org
License: 	GPL
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:	mjpegtools >= 2.0.0
Patch0:		cinelerra-remove-support-v4l-buzz-3.patch
BuildRequires:  libuuid-devel
BuildRequires:  libxv1-devel
BuildRequires:	libtool
BuildRequires:	%{_lib}x11_6
BuildRequires:	%{_lib}x11-devel
BuildRequires:	%{_lib}a52dec0-devel
BuildRequires:	libesound-devel
BuildRequires:	libffmpeg-devel
BuildRequires:  libfftw-devel
BuildRequires:	ImageMagick
BuildRequires:  libjpeg-devel
BuildRequires:	liblame-devel
BuildRequires:	libalsa-devel
BuildRequires:  libaudiofile-devel
BuildRequires:  %{_lib}avc1394-devel
BuildRequires:	libdv-devel
BuildRequires:  libext2fs-devel
BuildRequires:  libfaac-devel
BuildRequires:  %{_lib}faad2-devel
BuildRequires:	libfftw-devel >= 3.0
BuildRequires:	%{_lib}iec61883_0-devel
BuildRequires:	libmesagl-devel
BuildRequires:  %{_lib}mjpegtools-devel
BuildRequires:  libogg-devel
BuildRequires:	libraw1394_8-devel
BuildRequires:  libsndfile-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	nasm
BuildRequires:	yasm
BuildRequires:	ccache
BuildRequires:	libOpenEXR-devel
BuildRequires:	libpng-devel
BuildRequires:	texinfo
BuildRequires:  libtiff-devel
BuildRequires:  x264-devel
BuildRequires:  libxvid-devel
BuildRequires:  libilmbase-devel
BuildRequires:	%{_lib}mp4v2-devel freetype-devel
Conflicts:	libmpeg3-progs
Requires:	glibc >= 2.16
Requires:	libstdc++6 >= 4.7.2


%description
If you want to make movies, you want the compositing
and editing that the big boys use, you want the efficiency
of an embedded UNIX operating system combined with the
power of a general purpose PC, or you just want to defy
the establishment, the time has come to download Cinelerra.

This version is based on the "Community" tree found at
http://cvs.cinelerra.org.

This package is in PLF because MP3 encoder and
video codecs are covered by software patents.

%prep
%setup -q -n %{name} -D

%patch0 -p1

%build
# Enable cccache
export CC="ccache gcc"
export CXX="ccache g++"

# Expand ccache
ccache -M 1G

./autogen.sh
%configure2_5x \
	--disable-rpath \
	--enable-alsa \
	--with-plugindir="%{_libdir}/%{name}"
# 	--enable-freetype2 \
# export CCFLAGS="$RPM_OPT_FLAGS  -I/usr/include/freetype2"
# export CFLAGS="$RPM_OPT_FLAGS  -I/usr/include/freetype2"
# export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/freetype2"
# /freetype/config

%make

%install
rm -rf %{buildroot}
%makeinstall_std

(cd %buildroot%{_libdir}
  ln -s %{_bindir}/mpeg2enc %{buildroot}%{_libdir}/%{name}/mpeg2enc.plugin
)

# FIXME: Libify package?
rm -rf %{buildroot}/%{_includedir}
rm -f  %{buildroot}/%{_libdir}/pkgconfig %{buildroot}/%{_libdir}/{*.so,*.la,*.a}

chmod 0644 %{buildroot}%{_libdir}/%{name}/fonts/*


# ../BUILD/cinelerra-4/plugins/defaulttheme/data/reel.png
# icons
mkdir -p %{buildroot}/%{_liconsdir}
convert plugins/defaulttheme/data/reel.png -resize 48x48 %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%{_iconsdir}
convert plugins/defaulttheme/data/reel.png -resize 32x32 %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%{_miconsdir}
convert plugins/defaulttheme/data/reel.png -resize 16x16 %{buildroot}/%_miconsdir/%name.png

rm -f %{buildroot}%{_datadir}/applications/cinelerra.desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Cinelerra
Comment=Non-Linear Video Editor
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;
Encoding=UTF-8
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post 
%{update_menus}
/sbin/ldconfig

%postun 
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/mpeg3cat
%{_bindir}/mpeg3dump
%{_bindir}/mpeg3toc
%{_bindir}/mplexlo
%{_libdir}/%{name}
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/pixmaps/%{name}.xpm
%{_libdir}/vhook/*.so

%changelog
* Thu Oct 06 2016 adrianomorselli <adrianomorselli> 4-0.svn1061.9uplos2016
- rebuild

* Tue Feb 29 2016 pinoc <vogtpet at gmail.com> 4-0.svn1061.9pclos2016
- rebuild 

* Tue Dec 31 2013 pinoc <vogtpet at gmail.com> 4-0.svn1061.7pclos2013
- rebuild against new mjpegtools
- updated BR

* Tue May 14 2013 Texstar <texstar at gmail.com> 4-0.svn1061.7pclos2013
- rebuild x264 1.115

* Mon May 13 2013 Texstar <texstar at gmail.com> 4-0.svn1061.6pclos2013
- rebuild for glibc 2.16
- rebuild for new x264

* Sun May 05 2013 Texstar <texstar at gmail.com> 4-0.svn1061.5pclos2013
- rebuild for new x264

* Wed Feb 13 2013 pinoc <vogtpet at gmail.com> 4-0.svn1061.4pclos2013
- fixed BuildRequires and rebuild to also work on 64

* Thu Aug 11 2011 Texstar <texstar at gmail.com> 4-0.svn1061.3pclos2011
- rebuild

* Mon Jul 11 2011 MBantz <martin dot bantz at gmail dot com> 4-0.svn1061.2pclos2010
- Rebuilt against updated x.264
- Updated to 2.1.5-CV, kept higher version number

* Tue Apr 06 2010 MBantz <martin dot bantz at gmail dot com>  4-0.svn1061.1pclos2010
- Adapted to PCLinux from goetz at zarb dot org

